using Connected.Components;
using Microsoft.AspNetCore.Components.Web;

namespace Connected
{
	public class ActivatableCallback : IActivatable
	{
		public Action<object, MouseEventArgs> ActivateCallback { get; set; }

		public void Activate(object sender, MouseEventArgs args)
		{
			ActivateCallback?.Invoke(sender, args);
		}
	}
}
